
#include "xil_io.h"
#include "xparameters.h"
//#include "comblock_parameters.h"

 //XGpio l_s;
u32 trans_buf[2048];
u32 trans_bufram[2048];
u32 trans_bufifo[2048];
char prueba;
int diram;
u32 fifo_status;

u32 Read_registers(u32* addr, u32 size);

void Write_registers(u32* addr, u32* val, u32 size);
//void Write_registers(int addr, int val);

void Read_FIFO_Stream(u32* addr, u32* val, u32 size);

void Read_FIFO(u32*addr, u32 size);
				
void Write_FIFO(int addr, int val);
 		
void Read_TDRAM(u32* addr, u32 size);
	
void Write_TDRAM(u32* addr, u32* val, u32 size);
	
